
/* Custom css for E-gift card */

@font-face {
    font-family: 'hand_of_sean';
    src: url('../fonts/hand_of_sean_demo-webfont.woff2') format('woff2'),
         url('../fonts/hand_of_sean_demo-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'vag_rounded';
    src: url('../fonts/vag_rounded_regular-webfont.woff2') format('woff2'),
         url('../fonts/vag_rounded_regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

.gift-card-panel {
  background: #EADAD0;
	padding: 90px 20px;
	/*margin-top: 100px;*/
	position: relative;
	z-index: 1;
	overflow: hidden;
}

.gift-card-panel .bg-img {
  position: absolute;
  top: -50px;
  left: -50px;
  right: -50px;
  bottom: -50px;
  background-size: cover;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  z-index: -1;
  filter: blur(15px);
  opacity: 0.15;
	background-attachment: fixed;
}

.gift-card {
	width: 440px;
	margin: 0 auto;
}

/* .gift-card {
	width: 535px;
	height: 315px;
	background: #A5CF4C;
	border-radius: 20px;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	z-index: 1;
	overflow: hidden;
} */

/* .gift-card::after {
  content: '';
  position: absolute;
  top: 82px;
  left: -6%;
  right: -10%;
  height: 400px;
  background-image: url('http://staging.netsearch.com.au/spudshed/wp-content/uploads/2022/10/cardboard-piece.png');
  background-size: contain;
  background-repeat: no-repeat;
  z-index: -1;
} */

.gift-card-panel h2 {
  font-family: 'hand_of_sean';
  color: #974416;
  font-size: 40px;
  margin: 35px 0 25px;
	text-align: center;
} 

.gift-card-panel .form-wrap {

}

.gift-wrap {
  max-width: 1000px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
	padding: 0 40px 60px;
}

.gift-wrap:after {
	content: '';
	position: absolute;
	top: 145px;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: -1;
	background: #fff;
	box-shadow: 2px 2px 10px rgba(0,0,0,0.1);
	border-radius: 25px;
}

.gift-card-panel .gform_title {
  display: none;
}

.gift-card-panel .gform_wrapper .gf_progressbar_wrapper h3.gf_progressbar_title {
  margin: 0 0 14px !important;
	margin: 0 0 14px !important;
	font-family: 'vag_rounded';
	font-weight: 600;
}

.gift-card-panel .gform_wrapper .gf_progressbar {
	padding: 0;
}

.gift-card-panel .gform_wrapper .percentbar_blue {
  background-color: #A5CF4C;
  color: #fff;
}

.gift-card-panel .gform_wrapper label {
  font-size: 16px;
  font-family: 'vag_rounded';
  line-height: 1.1;
  margin: 0;
  color: #333;
  font-weight: 600;
}

.gift-card-panel .gform_wrapper select,
.gift-card-panel .gform_wrapper textarea,
.gift-card-panel .gform_wrapper input {
  height: 50px;
  border: none;
  color: #333;
  padding: 3px 15px !important;
  outline: none;
	background: #f2f2f2;
}

.gift-card-panel .gform_wrapper textarea.large {
	height: 140px;
	padding: 15px 15px !important;
}

body .gift-card-panel .gform_wrapper img.ui-datepicker-trigger {
	width: 27px !important;
	height: auto !important;
	margin: 0 0 0 8px;
}

.gift-card-panel .gform_wrapper .button {
  font-weight: 600;
  text-transform: uppercase;
  border: none;
  background: #A5CF4C;
  color: #fff !important;
  text-transform: uppercase;
  color: #fff !important;
  font-family: 'vag_rounded';
  font-weight: 700;
  font-size: 16px;
  padding: 17px 35px !important;
  display: block;
  height: auto;
  border-radius: 12px;
	cursor: pointer;
}

.gift-card-panel .gform_wrapper .gform_previous_button.button {
	background: #974416;
}

.gift-card-panel .gform_page_footer.top_label {
  display: flex;
  justify-content: end;
}

.gift-card-panel .form-title {
  font-family: 'vag_rounded';
  font-size: 35px;
  font-weight: 700;
  color: #974416;
  margin: 0 0 10px !important;
  display: block;
}

.gift-card-panel .gfield_label.gfield_label_before_complex {
  font-size: 18px !important;
}

.gift-card-panel .ginput_container_address label {
  margin: 10px 0 18px !important;
}

.gift-card-panel .gform_wrapper .gform_page_footer {
	border: none;
	text-align: right;
}

#preview_image_container {
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

#preview_image_container.preview-show {
  opacity: 1;
}

#preview_image_container img {
	transition: 0.5s ease;
}

#preview_image_container img:hover {
	opacity: 0.8;
}

.gform_wrapper ul.gform_fields#gform_fields_2 li.gfield {
  padding-right: 0 !important;
}

@media (max-width: 767px) {
	.gift-card {
		width: 295px;
	}
	
	.gift-wrap::after {
		top: 90px;
	}
	
	.gift-card-panel h2 {
		font-size: 30px;
		margin: 18px 0 22px;
	}
	
	.gift-card-panel {
		padding: 120px 20px 40px;
	}
	
	.gift-wrap {
		padding: 0 20px 35px;
	}
	
	body .gift-card-panel .gform_wrapper img.ui-datepicker-trigger {
		width: 18px !important;
	}
	
	.gform_wrapper input.datepicker_with_icon.medium {
		width: calc(100% - 32px) !important;
	}
	
	.gift-card-panel .form-title {
		font-size: 28px;
	}
	
	.gift-card-panel .gform_wrapper .button {
		padding: 8px 25px !important;
		min-height: auto !important;
		line-height: 1.2 !important;
		height: 46px !important;
		margin: 0 4px !important;
		width: auto !important;
	}
	
}
